Bug 1568946 (CVE-2018-2787) - CVE-2018-2787 mysql: InnoDB unspecified vulnerability (CPU Apr 2018)
Summary: CVE-2018-2787 mysql: InnoDB unspecified vulnerability (CPU Apr 2018)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-2787
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1568962 1568963 1568964 1571158 1571174 1571242 1572120 1572124 1572138 1572141 1642523 1701264
Blocks: 1568977
TreeView+ depends on / blocked
 
Reported: 2018-04-18 12:36 UTC by Adam Mariš
Modified: 2019-09-29 14:37 UTC (History)
25 users (show)

Fixed In Version: mysql 5.6.40, mysql 5.7.22, mariadb 10.2.15, mariadb 10.1.33, mariadb 10.0.35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-22 09:37:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1254 None None None 2018-04-26 07:27:57 UTC
Red Hat Product Errata RHSA-2018:3655 None None None 2018-11-26 12:32:20 UTC
Red Hat Product Errata RHSA-2019:1258 None None None 2019-05-21 19:54:58 UTC

Description Adam Mariš 2018-04-18 12:36:49 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: InnoDB). Supported versions that are affected are 5.6.39 and prior and 5.7.21 and prior. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server as well as unauthorized update, insert or delete access to some of MySQL Server accessible data.

External References:

http://www.oracle.com/technetwork/security-advisory/cpuapr2018-3678067.html

Comment 1 Adam Mariš 2018-04-18 12:49:50 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1568963]


Created mariadb tracking bugs for this issue:

Affects: fedora-27 [bug 1568962]
Affects: fedora-26 [bug 1568964]

Comment 4 errata-xmlrpc 2018-04-26 07:27:44 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS

Via RHSA-2018:1254 https://access.redhat.com/errata/RHSA-2018:1254

Comment 9 errata-xmlrpc 2018-11-26 12:32:10 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2018:3655 https://access.redhat.com/errata/RHSA-2018:3655

Comment 10 errata-xmlrpc 2019-05-21 19:54:57 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1258 https://access.redhat.com/errata/RHSA-2019:1258


Note You need to log in before you can comment on or make changes to this bug.